You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@bigtop.apache.org by rv...@apache.org on 2017/03/22 23:22:21 UTC

[1/4] bigtop git commit: BIGTOP-2492 Split flink rpm packaging

Repository: bigtop
Updated Branches:
  refs/heads/master c7e06bb48 -> 61718f27b


BIGTOP-2492 Split flink rpm packaging


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/1d9561a1
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/1d9561a1
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/1d9561a1

Branch: refs/heads/master
Commit: 1d9561a1c868ad5a5c160fc25213a5a9d9f78ff2
Parents: 511507c
Author: David Moravek <da...@firma.seznam.cz>
Authored: Wed Jul 13 19:41:08 2016 +0200
Committer: Roman Shaposhnik <rv...@apache.org>
Committed: Wed Mar 22 16:21:51 2017 -0700

----------------------------------------------------------------------
 bigtop-packages/src/rpm/flink/SPECS/flink.spec | 70 +++++++++++++++------
 1 file changed, 51 insertions(+), 19 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/1d9561a1/bigtop-packages/src/rpm/flink/SPECS/flink.spec
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/rpm/flink/SPECS/flink.spec b/bigtop-packages/src/rpm/flink/SPECS/flink.spec
index 250ec19..d4b4dfa 100644
--- a/bigtop-packages/src/rpm/flink/SPECS/flink.spec
+++ b/bigtop-packages/src/rpm/flink/SPECS/flink.spec
@@ -28,10 +28,11 @@
 %define doc_flink %{_docdir}/%{flink_name}-%{flink_version}
 %define alternatives_cmd alternatives
 %define build_flink %{_builddir}/%{flink_name}-%{flink_version}/flink-dist/target/%{flink_name}-%{flink_version}-bin/%{flink_name}-%{flink_version}/
-
+%global initd_dir %{_sysconfdir}/rc.d/init.d
 %else
 %define doc_flink %{_docdir}/%{flink_name}-%{flink_version}
 %define alternatives_cmd update-alternatives
+%global initd_dir %{_sysconfdir}/rc.d
 %endif
 
 Name: %{flink_name}
@@ -54,6 +55,14 @@ Source6: bigtop.bom
 Requires: bigtop-utils >= 0.7
 Requires(preun): /sbin/service
 
+%if  %{?suse_version:1}0
+# Required for init scripts
+Requires: insserv
+%else
+# Required for init scripts
+Requires: /lib/lsb/init-functions
+%endif
+
 %description
 Apache Flink is an open source platform for distributed stream and batch data processing.
 Flink\u2019s core is a streaming dataflow engine that provides data distribution, communication,
@@ -73,19 +82,38 @@ Some of the key features of Apache Flink includes.
     * Fault-tolerance via Lightweight Distributed Snapshots
     * Hadoop-native YARN & HDFS implementation
 
-# Additions for master-worker configuration #
+%package jobmanager
+Summary: Provides the Apache Flink Job Manager service.
+Group: System/Daemons
+Requires: %{name} = %{version}-%{release}
+Requires(pre): %{name} = %{version}-%{release}
 
-%global initd_dir %{_sysconfdir}/init.d
+%description jobmanager
+Apache Flink Job Manager service.
 
 %if  %{?suse_version:1}0
 # Required for init scripts
 Requires: insserv
-%global initd_dir %{_sysconfdir}/rc.d
+%else
+# Required for init scripts
+Requires: /lib/lsb/init-functions
+%endif
+
+%package taskmanager
+Summary: Provides the Apache Flink Task Manager service.
+Group: System/Daemons
+Requires: %{name} = %{version}-%{release}
+Requires(pre): %{name} = %{version}-%{release}
 
+%description taskmanager
+Apache Flink Task Manager service.
+
+%if  %{?suse_version:1}0
+# Required for init scripts
+Requires: insserv
 %else
 # Required for init scripts
 Requires: /lib/lsb/init-functions
-%global initd_dir %{_sysconfdir}/rc.d/init.d
 %endif
 
 ##############################################
@@ -107,8 +135,6 @@ bash $RPM_SOURCE_DIR/do-component-build
 
 sh -x %{SOURCE2} --prefix=$RPM_BUILD_ROOT --source-dir=$RPM_SOURCE_DIR --build-dir=`pwd`/%{build_target_flink}
 
-
-
 for service in %{flink_services}
 do
     # Install init script
@@ -116,20 +142,10 @@ do
     bash %{SOURCE3} $RPM_SOURCE_DIR/${service}.svc rpm $init_file
 done
 
-
-%preun
-for service in %{flink_services}; do
-  /sbin/service ${service} status > /dev/null 2>&1
-  if [ $? -eq 0 ]; then
-    /sbin/service ${service} stop > /dev/null 2>&1
-  fi
-done
-
 %pre
 getent group flink >/dev/null || groupadd -r flink
 getent passwd flink >/dev/null || useradd -c "Flink" -s /sbin/nologin -g flink -r -d %{lib_flink} flink 2> /dev/null || :
 
-
 %post
 %{alternatives_cmd} --install %{config_flink} %{flink_name}-conf %{config_flink}.dist 30
 systemctl daemon-reload
@@ -141,10 +157,26 @@ systemctl daemon-reload
 %config(noreplace) %{config_flink}.dist
 
 %dir %{_sysconfdir}/%{flink_name}
-%config(noreplace) %{initd_dir}/flink-jobmanager
-%config(noreplace) %{initd_dir}/flink-taskmanager
 #%doc %{doc_flink}
 %attr(0755,flink,flink) %{var_log_flink}
 %attr(0767,flink,flink) /var/log/flink-cli
 %{lib_flink}
 %{bin_flink}/flink
+
+%define service_macro() \
+%files %1 \
+%config(noreplace) %{initd_dir}/%{name}-%1 \
+%post %1 \
+chkconfig --add %{name}-%1 \
+%preun %1 \
+/sbin/service ${name}-%1 status > /dev/null 2>&1 \
+if [ "$?" -eq 0 ]; then \
+  service ${name}-%1 stop > /dev/null 2>&1 \
+  chkconfig --del %{name}-%1 \
+fi \
+%postun %1 \
+if [ "$?" -ge 1 ]; then \
+   service %{name}-%1 condrestart > /dev/null 2>&1 || : \
+fi
+%service_macro jobmanager 
+%service_macro taskmanager


[3/4] bigtop git commit: BIGTOP-2492 Code review

Posted by rv...@apache.org.
BIGTOP-2492 Code review


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/bcc447c1
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/bcc447c1
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/bcc447c1

Branch: refs/heads/master
Commit: bcc447c1147ff71bf3b15d93a441846892abf47d
Parents: 1d9561a
Author: David Moravek <da...@firma.seznam.cz>
Authored: Thu Jul 14 09:17:16 2016 +0200
Committer: Roman Shaposhnik <rv...@apache.org>
Committed: Wed Mar 22 16:21:52 2017 -0700

----------------------------------------------------------------------
 bigtop-packages/src/deb/flink/control | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/bcc447c1/bigtop-packages/src/deb/flink/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/control b/bigtop-packages/src/deb/flink/control
index 31d1e0e..c28c550 100644
--- a/bigtop-packages/src/deb/flink/control
+++ b/bigtop-packages/src/deb/flink/control
@@ -24,16 +24,15 @@ Homepage: http://flink.apache.org
 Package: flink
 Architecture: all
 Depends: bigtop-utils (>= 0.7), adduser
-Description: Flink\u2019s core is a streaming dataflow engine that provides data
-             distribution, communication, and fault tolerance for distributed
-             computations over data streams.
+Description: Apache Flink is an open source platform for distributed stream
+             and batch data processing.
 
 Package: flink-jobmanager
 Architecture: all
-Depends: flink
-Description: Flink\u2019s jobmanager.
+Depends: flink (= ${source:Version})
+Description: Apache Flink Job Manager service.
 
 Package: flink-taskmanager
 Architecture: all
-Depends: flink
-Description: Flink\u2019s taskmanager.
+Depends: flink (= ${source:Version})
+Description: Apache Flink Task Manager Service.


[4/4] bigtop git commit: BIGTOP-2492 Simplify and remove systemctl reload

Posted by rv...@apache.org.
BIGTOP-2492 Simplify and remove systemctl reload

Closes #132


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/61718f27
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/61718f27
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/61718f27

Branch: refs/heads/master
Commit: 61718f27b59a0bc51e9235fc2de0ffd1fd4d1d65
Parents: bcc447c
Author: David Moravek <da...@firma.seznam.cz>
Authored: Thu Sep 1 17:38:04 2016 +0200
Committer: Roman Shaposhnik <rv...@apache.org>
Committed: Wed Mar 22 16:21:52 2017 -0700

----------------------------------------------------------------------
 bigtop-packages/src/rpm/flink/SPECS/flink.spec | 9 ---------
 1 file changed, 9 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/61718f27/bigtop-packages/src/rpm/flink/SPECS/flink.spec
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/rpm/flink/SPECS/flink.spec b/bigtop-packages/src/rpm/flink/SPECS/flink.spec
index d4b4dfa..8d1913a 100644
--- a/bigtop-packages/src/rpm/flink/SPECS/flink.spec
+++ b/bigtop-packages/src/rpm/flink/SPECS/flink.spec
@@ -55,14 +55,6 @@ Source6: bigtop.bom
 Requires: bigtop-utils >= 0.7
 Requires(preun): /sbin/service
 
-%if  %{?suse_version:1}0
-# Required for init scripts
-Requires: insserv
-%else
-# Required for init scripts
-Requires: /lib/lsb/init-functions
-%endif
-
 %description
 Apache Flink is an open source platform for distributed stream and batch data processing.
 Flink\u2019s core is a streaming dataflow engine that provides data distribution, communication,
@@ -148,7 +140,6 @@ getent passwd flink >/dev/null || useradd -c "Flink" -s /sbin/nologin -g flink -
 
 %post
 %{alternatives_cmd} --install %{config_flink} %{flink_name}-conf %{config_flink}.dist 30
-systemctl daemon-reload
 
 ###### FILES ###########
 


[2/4] bigtop git commit: BIGTOP-2492 Split flink debian packaging

Posted by rv...@apache.org.
BIGTOP-2492 Split flink debian packaging


Project: http://git-wip-us.apache.org/repos/asf/bigtop/repo
Commit: http://git-wip-us.apache.org/repos/asf/bigtop/commit/511507ca
Tree: http://git-wip-us.apache.org/repos/asf/bigtop/tree/511507ca
Diff: http://git-wip-us.apache.org/repos/asf/bigtop/diff/511507ca

Branch: refs/heads/master
Commit: 511507ca9c12dac8f6ce2094e6b127871ca08dd9
Parents: c7e06bb
Author: David Moravek <da...@firma.seznam.cz>
Authored: Wed Jul 13 16:29:11 2016 +0200
Committer: Roman Shaposhnik <rv...@apache.org>
Committed: Wed Mar 22 16:21:51 2017 -0700

----------------------------------------------------------------------
 bigtop-packages/src/deb/flink/control           | 10 ++++
 .../src/deb/flink/flink-jobmanager.postinst     | 33 +++++++++++++
 .../src/deb/flink/flink-jobmanager.preinst      | 51 ++++++++++++++++++++
 .../src/deb/flink/flink-jobmanager.prerm        | 38 +++++++++++++++
 .../src/deb/flink/flink-taskmanager.postinst    | 33 +++++++++++++
 .../src/deb/flink/flink-taskmanager.preinst     | 51 ++++++++++++++++++++
 .../src/deb/flink/flink-taskmanager.prerm       | 38 +++++++++++++++
 bigtop-packages/src/deb/flink/flink.postinst    |  1 +
 bigtop-packages/src/deb/flink/flink.prerm       |  1 +
 bigtop-packages/src/deb/flink/rules             |  5 --
 bigtop-packages/src/deb/flink/rules.orig        | 46 ++++++++++++++++++
 11 files changed, 302 insertions(+), 5 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/control
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/control b/bigtop-packages/src/deb/flink/control
index a98bddc..31d1e0e 100644
--- a/bigtop-packages/src/deb/flink/control
+++ b/bigtop-packages/src/deb/flink/control
@@ -27,3 +27,13 @@ Depends: bigtop-utils (>= 0.7), adduser
 Description: Flink\u2019s core is a streaming dataflow engine that provides data
              distribution, communication, and fault tolerance for distributed
              computations over data streams.
+
+Package: flink-jobmanager
+Architecture: all
+Depends: flink
+Description: Flink\u2019s jobmanager.
+
+Package: flink-taskmanager
+Architecture: all
+Depends: flink
+Description: Flink\u2019s taskmanager.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-jobmanager.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-jobmanager.postinst b/bigtop-packages/src/deb/flink/flink-jobmanager.postinst
new file mode 100644
index 0000000..767e3f6
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-jobmanager.postinst
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-jobmanager.preinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-jobmanager.preinst b/bigtop-packages/src/deb/flink/flink-jobmanager.preinst
new file mode 100644
index 0000000..ed6263f
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-jobmanager.preinst
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# preinst script for flink
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-jobmanager.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-jobmanager.prerm b/bigtop-packages/src/deb/flink/flink-jobmanager.prerm
new file mode 100644
index 0000000..4a65bf6
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-jobmanager.prerm
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-taskmanager.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-taskmanager.postinst b/bigtop-packages/src/deb/flink/flink-taskmanager.postinst
new file mode 100644
index 0000000..767e3f6
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-taskmanager.postinst
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-taskmanager.preinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-taskmanager.preinst b/bigtop-packages/src/deb/flink/flink-taskmanager.preinst
new file mode 100644
index 0000000..ed6263f
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-taskmanager.preinst
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# preinst script for flink
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink-taskmanager.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink-taskmanager.prerm b/bigtop-packages/src/deb/flink/flink-taskmanager.prerm
new file mode 100644
index 0000000..4a65bf6
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/flink-taskmanager.prerm
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink.postinst
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink.postinst b/bigtop-packages/src/deb/flink/flink.postinst
index 83b68af..5d5ed9c 100644
--- a/bigtop-packages/src/deb/flink/flink.postinst
+++ b/bigtop-packages/src/deb/flink/flink.postinst
@@ -1,4 +1,5 @@
 #!/bin/bash
+#
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
 # this work for additional information regarding copyright ownership.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/flink.prerm
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/flink.prerm b/bigtop-packages/src/deb/flink/flink.prerm
index bd4f28d..295f5db 100644
--- a/bigtop-packages/src/deb/flink/flink.prerm
+++ b/bigtop-packages/src/deb/flink/flink.prerm
@@ -1,4 +1,5 @@
 #!/bin/bash
+#
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with
 # this work for additional information regarding copyright ownership.

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/rules
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/rules b/bigtop-packages/src/deb/flink/rules
index 553d828..1f50f0d 100644
--- a/bigtop-packages/src/deb/flink/rules
+++ b/bigtop-packages/src/deb/flink/rules
@@ -39,8 +39,3 @@ override_dh_auto_install: jobmanager taskmanager
 	--build-dir=`pwd`/flink-dist/target/flink-${FLINK_VERSION}-bin/flink-${FLINK_VERSION} \
 	--source-dir=debian \
 	--prefix=debian/tmp
-
-# This should be fixed. Split flink in three packages: flink, flink-taskmanager, flink-jobmanager
-override_dh_installinit: jobmanager taskmanager
-	dh_installinit --name=flink-taskmanager
-	dh_installinit --name=flink-jobmanager

http://git-wip-us.apache.org/repos/asf/bigtop/blob/511507ca/bigtop-packages/src/deb/flink/rules.orig
----------------------------------------------------------------------
diff --git a/bigtop-packages/src/deb/flink/rules.orig b/bigtop-packages/src/deb/flink/rules.orig
new file mode 100644
index 0000000..553d828
--- /dev/null
+++ b/bigtop-packages/src/deb/flink/rules.orig
@@ -0,0 +1,46 @@
+#!/usr/bin/make -f
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+%:
+	dh $@
+
+override_dh_auto_build:
+	bash debian/do-component-build
+
+
+.PHONY: jobmanager
+.PHONY: taskmanager
+jobmanager taskmanager:
+	bash debian/init.d.tmpl debian/flink-$@.svc deb debian/flink-$@.init
+
+override_dh_auto_install: jobmanager taskmanager
+	bash -x debian/install_flink.sh \
+	--build-dir=`pwd`/flink-dist/target/flink-${FLINK_VERSION}-bin/flink-${FLINK_VERSION} \
+	--source-dir=debian \
+	--prefix=debian/tmp
+
+# This should be fixed. Split flink in three packages: flink, flink-taskmanager, flink-jobmanager
+override_dh_installinit: jobmanager taskmanager
+	dh_installinit --name=flink-taskmanager
+	dh_installinit --name=flink-jobmanager